The destroy purpose

- « Gmagick::despeckleimage

- Gmagick::drawimage »

- PHP Manual
- Gmagick
- The destroy purpose

# Gmagick::destroy

(PECL gmagick >= Unknown)

Gmagick::destroy — The destroy purpose

### Description

public Gmagick::destroy(): bool

Destroys the Gmagick object and frees all resources associated with it

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

Throws an GmagickException on error.